Skip to main content
POST
/
projects
/
{project_reference}
/
uploads
/
{upload_reference}
/
move
Move Upload
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/uploads/{upload_reference}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "new_path": "<string>"
}
'
{
  "success": true,
  "error": "<string>",
  "file": {
    "id": "<string>",
    "path": "<string>",
    "file_name": "<string>",
    "content_type": "<string>",
    "size": 123,
    "url": "<string>",
    "status": "pending",
    "visibility": "project",
    "created_at": "<string>",
    "updated_at": "<string>",
    "deleted_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
upload_reference
string
required

Upload ID (UUID) or URL-encoded file path

Body

application/json
new_path
string
required

Destination file path

Response

File moved successfully

success
boolean
required
error
string
file
object